core.competition

## Class CompetitionParameters

- java.lang.Object
- - core.competition.CompetitionParameters

-     public class CompetitionParameters
      extends java.lang.Object

  Created with IntelliJ IDEA. User: Diego Date: 17/11/13 Time: 13:48 This is a Java port from Tom Schaul's VGDL - https://github.com/schaul/py-vgdl

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ACTION_TIME` Milliseconds allowed per controller action.
    `static int` | `ACTION_TIME_DISQ` Milliseconds for controller disqualification, if it returns an action after this time.
    `static int` | `DELAY` Delay for human play.
    `static java.lang.String` | `IMG_PATH` Path to sprite images.
    `static int` | `INITIALIZATION_TIME` Milliseconds allowed for controller initialization.
    `static int` | `LONG_DELAY` Longer delay for human play.
    `static int` | `MAX_TIMESTEPS` Max time a game can run
    `static long` | `WARMUP_ADV`
    `static long` | `WARMUP_CP`
    `static long` | `WARMUP_TIME` Java Warm-up time before starting the game.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompetitionParameters()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ACTION_TIME

          public static int ACTION_TIME

      Milliseconds allowed per controller action.

    - #### ACTION_TIME_DISQ

          public static int ACTION_TIME_DISQ

      Milliseconds for controller disqualification, if it returns an action after this time.

    - #### INITIALIZATION_TIME

          public static int INITIALIZATION_TIME

      Milliseconds allowed for controller initialization.

    - #### IMG_PATH

          public static java.lang.String IMG_PATH

      Path to sprite images.

    - #### DELAY

          public static int DELAY

      Delay for human play.

    - #### LONG_DELAY

          public static int LONG_DELAY

      Longer delay for human play.

    - #### MAX_TIMESTEPS

          public static int MAX_TIMESTEPS

      Max time a game can run

    - #### WARMUP_TIME

          public static final long WARMUP_TIME

      Java Warm-up time before starting the game.
      See Also:
        Constant Field Values

    - #### WARMUP_CP

          public static final long WARMUP_CP

      See Also:
        Constant Field Values

    - #### WARMUP_ADV

          public static final long WARMUP_ADV

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CompetitionParameters

          public CompetitionParameters()